






#ifndef XANIMINDICES_H
#define XANIMINDICES_H

#include "xasset.h"

class XAnimIndices : public XAsset
{
public:
    explicit XAnimIndices();

    void ParseData(QDataStream *aStream) override;

    quint32 GetIndexPtr() const;
    void SetIndexPtr(quint32 ptr);

    quint16 GetIndex() const;
    void SetIndex(quint16 index);

private:
    quint32 mIndexPtr = 0;
    quint16 mIndex = 0;
};

#endif // XANIMINDICES_H






